# pqxx::connectionpolicy Class Reference
[Connection classes]

`#include <connectionpolicy.hxx>`

Inheritance diagram for pqxx::connectionpolicy:

[legend]
List of all members.

## Public Types

typedef internal::pq::PGconn * | handle

## Public Member Functions

| connectionpolicy (const PGSTD::string &opts)
virtual | ~connectionpolicy () throw ()
const PGSTD::string & | options () const throw ()
virtual handle | do_startconnect (handle orig)
virtual handle | do_completeconnect (handle orig)
virtual handle | do_dropconnect (handle orig) throw ()
virtual handle | do_disconnect (handle orig) throw ()
virtual bool | is_ready (handle) const throw ()

## Protected Member Functions

handle | normalconnect (handle)

## Member Typedef Documentation

typedef internal::pq::PGconn* pqxx::connectionpolicy::handle

## Constructor & Destructor Documentation

pqxx::connectionpolicy::connectionpolicy | ( | const PGSTD::string & | opts | ) | `[explicit]`

pqxx::connectionpolicy::~connectionpolicy | ( |  | ) | throw ()`[virtual]`

## Member Function Documentation

const PGSTD::string& pqxx::connectionpolicy::options | ( |  | ) | const throw ()

pqxx::connectionpolicy::handle pqxx::connectionpolicy::do_startconnect | ( | handle | orig | ) | `[virtual]`

pqxx::connectionpolicy::handle pqxx::connectionpolicy::do_completeconnect | ( | handle | orig | ) | `[virtual]`

pqxx::connectionpolicy::handle pqxx::connectionpolicy::do_dropconnect | ( | handle | orig | ) | throw ()`[virtual]`

pqxx::connectionpolicy::handle pqxx::connectionpolicy::do_disconnect | ( | handle | orig | ) | throw ()`[virtual]`

bool pqxx::connectionpolicy::is_ready | ( | handle |  | ) | const throw ()`[virtual]`

pqxx::connectionpolicy::handle pqxx::connectionpolicy::normalconnect | ( | handle |  | ) | `[protected]`

The documentation for this class was generated from the following files:

- connectionpolicy.hxx
- connection.cxx